Package org.apache.lucene.util.hppc

## Class IntIntHashMap.IntContainer

- java.lang.Object
- - org.apache.lucene.util.hppc.IntIntHashMap.IntContainer

- All Implemented Interfaces:
    `Iterable<IntIntHashMap.IntCursor>`
  Direct Known Subclasses:
    `IntIntHashMap.KeysContainer`
  Enclosing class:
    IntIntHashMap

      public abstract class IntIntHashMap.IntContainer
      extends Object
      implements Iterable<IntIntHashMap.IntCursor>

  IntCursor iterable with size and toArray function implemented

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntContainer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `size()` |
    `int[]` | `toArray()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### IntContainer

          public IntContainer()

  - ### Method Detail

    - #### size

          public int size()

    - #### toArray

          public int[] toArray()